### ===================================================================================================================
###                                                       VIIA
###                                                  Objectnr: XXXX
###                                             Structural engineer: Name
### ===================================================================================================================
# TEMPLATE NLTH RESULTS v2.4
# viiapackage version v##.#.#

# Copyright VIIA

# =====================================================================================================================
#                                                    Initial startup
# =====================================================================================================================

# Import the viiaPackage
from viiapackage import viia_create_project

# =====================================================================================================================
#                                                    User input
# =====================================================================================================================

# Initiate the session
project = viia_create_project(project_name='XXXX', analysis_type='NLTH', version_nr=1)
analysis_nr = 'A12'
signal = 'S1'

# Input for geo output
geo_output = True
bsc_nls_dir = ''
tva_nls_dir = ''

# Optional, for default: manual_workfolder_location = None
manual_workfolder_location = None

# Optional, for default: diana_view_point = None
# Example of user input: diana_view_point = [8.9, -8.9, 8.9, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 13.3, 4.0]
# You can get the viewpoint in DIANA with currentViewPoint() command
diana_view_point = None

# =====================================================================================================================
#                                                    Module and folder checking
# =====================================================================================================================

if manual_workfolder_location:
    project.current_analysis_folder = manual_workfolder_location
else:
    project.current_analysis_folder = project.viia_get_latest_model_folder(analysis_nr=analysis_nr, signal=signal)

# =====================================================================================================================
#                                                    Results handling
# =====================================================================================================================

project.viia_results(
    analysis_nr=analysis_nr, signal=signal, geo_output=geo_output, bsc_nls_dir=bsc_nls_dir, tva_nls_dir=tva_nls_dir,
    convergence_graphs=True, base_shear_graphs=True, wall_displacement_graphs=True, acceleration_graphs=True,
    result_pictures=True, diana_view_point=diana_view_point)

# =====================================================================================================================
#                                                 END OF RESULTSCRIPT
# =====================================================================================================================
